import { getCollection } from "astro:content";
import getSortedPosts from "@/utils/getSortedPosts";
import { SITE } from "@/config";

export async function GET() {
  const posts = await getCollection("blog");
  const sortedPosts = getSortedPosts(posts);

  // 基础URL列表
  const urls = [
    SITE.website,
    `${SITE.website}about/`,
    `${SITE.website}posts/`,
    `${SITE.website}tags/`,
    `${SITE.website}search/`,
  ];

  // 添加所有文章URL
  sortedPosts.forEach(({ id }) => {
    urls.push(`${SITE.website}posts/${id}/`);
  });

  // 生成纯文本格式的站点地图
  const sitemapText = urls.join('\n');

  return new Response(sitemapText, {
    headers: {
      'Content-Type': 'text/plain',
    },
  });
}